LINUX.ORG.RU

Выпуск Debian 10 «Buster»

 , ,


5

4

Участники сообщества Debian рады сообщить о выходе очередного стабильного выпуска операционной системы Debian 10 кодовое имя buster.

Данный релиз включает в себя более 57703 пакетов, собранных для следующих процессорных архитектур:

  • 32-битный ПК (i386) и 64-битный ПК (amd64)
  • 64-битный ARM (arm64)
  • ARM EABI (armel)
  • ARMv7 (EABI hard-float ABI, armhf)
  • MIPS (mips (с порядком байтов от старшего к младшему) и mipsel (с порядком байтов от младшего к старшему))
  • 64-битный MIPS с порядком байтов от младшего к старшему (mips64el)
  • 64-битный PowerPC с порядком байтов от младшего к старшему (ppc64el)
  • IBM System z (s390x)

По сравнению с Debian 9 stretch в Debian 10 buster добавлено 13370 новых пакетов, обновлено более 35532 пакетов (что составляет 62% дистрибутива stretch). Также, по различным причинам многие пакеты (более 7278, 13% дистрибутива stretch) были удалены из дистрибутива.

Debian 10 buster поставляется с различными окружениями рабочего стола, такими как GNOME 3.30, KDE Plasma 5.14, LXDE 10, LXQt 0.14, MATE 1.20, и Xfce 4.12. Также в репозитории имеются Cinnamon 3.8, Deepin DE 3.0, различные оконные менеджеры.



Огромное внимание при подготовке данного выпуска было уделено повышению безопасности дистрибутива:

  • В установщик Debian добавлена поддержка загрузки при помощи UEFI Secure Boot.
  • При создании зашифрованных разделов теперь используется формат LUKS2
  • Для новых установок Debian 10 по-умолчанию включена поддержка системы разграничения доступа приложений AppArmor. При установке будут загружены профили AppArmor только для очень ограниченного числа приложений, для добавления дополнительных профилей рекомендуется установить пакет apparmor-profiles-extra
  • В пакетном менеджере apt добавлена опциональная возможность использования изоляции устанавливаемых приложений при помощи механизма seccomp-BPF.


Немало в выпуске и иных изменений, связанных с поддержкой новых возможностей программного и аппаратного обеспечения:

  • Ядро Linux обновлено до версии 4.19.
  • Система управление межсетевым экраном netfilter изменена с Iptables на Nftables. При этом для желающих сохранена возможность использования Iptables с помощью iptables-legacy .
  • В связи с обновлением пакетов CUPS до версии 2.2.10 и cups-filters до версии 1.21.6 в Debian 10 buster теперь поддерживается печать без установки драйверов для современных IPP принтеров.
  • Базовая поддержка систем на основе SOC Allwinner A64.
  • При стандартной установке окружения рабочего стола Gnome по умолчанию задействован сеанс на основе прокола Wayland. При этом сохранена поддержка сеанса на основе X11.
  • Командой Debian-live созданы новые живые образы Debian на основе окружения рабочего стола LXQt. Также во все живые образы Debian добавлен универсальный установщик Calamares.

Изменения произошли и в установщике Debian. Так, претерпел изменения синтаксис файлов автоматизированной установки с помощью ответов, произведен перевод на 76 языков, в том числе полностью на 39 языков.

Как всегда Debian полностью поддерживает обновление с предыдущего стабильного релиза с помощью штатного пакетного менеджера apt.

Полная поддержка выпуска Debian 10 buster будет осуществляться на протяжении всего периода до выхода следующего стабильного выпуска плюс один год. Debian 9 stretch переведен в статус предыдущего стабильного релиза и будет поддерживаться командой безопасности Debian до 6 июля 2020 года, после чего будет передан команде LTS для дальнейшей ограниченной поддержки в рамках Debian LTS.

>>> Подробности

Ответ на: комментарий от kostyarin_

Я написал им в твитор, что Wayland не нужен, но они меня не послушались. И вместо того, чтобы отменить неудачный релиз, всё-таки выкатили его.

Не забудь ещё рассказать эту историю своему психиатру.

EXL ★★★★★ ()

При дефолтной установке окружения рабочего стола Gnome по-умолчанию задействован сеанс на основе прокола Wayland.

Отлично. Закапывание угрёбищного X.Org продолжается, что не может ни радовать.

EXL ★★★★★ ()
Ответ на: комментарий от EXL

Не забудь ещё рассказать эту историю своему психиатру.

Сходи да посмотри, Фома.

kostyarin_ ()
Ответ на: комментарий от kostyarin_

Привет, я лечащий тебя психиатр. Почему ты сбежал из дурдома и перестал принимать свои таблетки?

anonymous ()
Ответ на: комментарий от kirill_rrr

Потому что можно не выключать, а настроить под свои нужды. Вообще не понял, причём тут поддержка железа.

tsmx ()
Ответ на: комментарий от mandala

Ну вали в дурку тогда вместе со своим хваленым дебилианом.

anonymous ()
Ответ на: комментарий от anonymous

Привет, я лечащий тебя психиатр. Почему ты сбежал из дурдома и перестал принимать свои таблетки?

Мне приснился сон, что Wayland всё-таки вышел из эмбриональной фазы, и я рассказал его первому встречному. Тогда меня подняли на смех и отвезли в дурку как дурочка. Потому, что такого не бывает в природе.

kostyarin_ ()
Ответ на: комментарий от Partisan

Берите, если найдёте. Если не найдёте, то на ваге счастье вам и не нужно - этот процессор бывает только в телефонах и поаншетах с Android.

Вы не в теме, причём феерично. Гуглите Gemini PDA. Там прошивка Дебиана поддерживается производителем официально.

Arch Linux предназначен для фанатствования (чем вы и занимаетесь), Debian - для работы.

Опять же, вы не в теме, причём феерично.

rebforce ()
Ответ на: комментарий от Partisan

Какие же клоуны сидят на Лоре.

С видом эксперта вещает, что МТК ставят только в планшеты и телефоны на ведре.

А на деле шут гороховый.

anonymous ()
Ответ на: комментарий от EXL

Закапывание угрёбищного X.Org продолжается, что не может ни радовать.

Да, братан, подстилка из Wayland уже готова. Царские похороны.

anonymous ()
Ответ на: комментарий от praseodim

Я же сказал про оборудование. Что там с процессорами и
видеокартами, которые уже вышли в 2019 году?

Откуда же эти аналитики-теоретики лезут, а? Во-первых твои процессоры, вышедшие в 2019 году, поддерживались ядром Linux уже в 2018. Или для тебя новость, что разработчики процессоров Интел коммитят поддержку новых CPU ещё на стадии их альфа сэмплов за годы до релиза?

Во-вторых, ты хотя бы раз читал чейнжлоги LTS ядра? Или у тебя настолько плох английский, что ты два предложения технических терминов осилить не можешь? Поддержку оборудования добавляют внутри LTS в каждом минорном апдейте.

Так что, воинствующие незнайки, перестаём кукарекать, если не понимаем, как дела делаются.

anonymous ()
Ответ на: дебиан - это хорошо от anonymous

Сейчас на девятке, пока обновляться не планирую, т.к. все устраивает, и есть год на переезд, но новость порадовала!

Вообще-то возможно и более 1 года далее оставаться на Debian 9. Есть же LTS поддержка и ExtendedLTS (причем free в отличие от ubuntu).

AlexLorovitch ()

Mate 1.20.0, это февраль 2018, оперативно, можно было просто не включать.

One ★★★ ()
Ответ на: комментарий от One

Оно выпускается примерно раз в год, следующий и последний в настоящее время выпуск попал на заморозку. Я вот до сих пор использую 1.16. А что такого есть в 1.22, что всё меняет кардинально по сравнению с 1.20? Или вам просто циферки нужны?

Vudod ★★★★★ ()

ШГ на скриншоте, например очень страшная И в слове «Корзина»

Aber ★★ ()
Ответ на: комментарий от Vudod

Мне и 1.23.1 стоит для самосборки, чтобы чувствовать разницу и пользоваться, что и сделал. Спасибо за предложение некрофилии, но от 1.16 был рвотный рефлекс.

One ★★★ ()
Ответ на: комментарий от Polugnom

От Федоры колоссальное количество отличий.

Колоссальное — это много, можно несколько навскидку?

papin-aziat ()
Ответ на: комментарий от Polugnom

Нет, я просто не привык ковыряться в окаменевшем дерьме мамонта.

qtm ()
Ответ на: комментарий от One

Вспоминается нетленное произведение Гайдая, в котором один режисёр с царём говорил. И ещё анекдот про чукчу, который не читатель.

Vudod ★★★★★ ()
Ответ на: комментарий от Vudod

Чукча когда-нибудь слышал о буквах HiDPI?

One ★★★ ()
Ответ на: комментарий от qtm

Нет, я просто не привык ковыряться в окаменевшем дерьме мамонта.

То есть вы предпочитаете только самое свежее дерьмо?

anonymous ()
Ответ на: комментарий от anonymous

Конечно. Лучше пару месяцев поковыряться в свежем дерьме. Чем как дебианщики, сначала два года ждать, потом постить новости в стиле «Ура, новые окаменелости завезли!» и потом еще два года их разгребать.

qtm ()
Ответ на: комментарий от papin-aziat

Колоссальное — это много, можно несколько навскидку?

Вероятно по количеству коммитов между старьем, что вкатили в релиз и апстримом

Midael ★★★★★ ()
Последнее исправление: Midael (всего исправлений: 1)
Ответ на: комментарий от Vudod

Это же традиционный срач ни о чём. «X9999 лучше X9998, и уж подавно круче X9990, которым пользоваться нельзя». Как эти же люди пользовались X9990, когда тот был тот самый bleeding edge история умалчивает. И так каждый раз.

anonymous ()

Да здравствуйет Debian!

Весь тред не читал. Крики «не нужно» и «старые пакеты» уже были?

aquadon ★★★★ ()
Ответ на: комментарий от anonymous

Во-вторых, ты хотя бы раз читал журналы изменений LTS ядра (с длинным временем поддержки (прямой перевод))? Или у тебя настолько плох английский, что ты два предложения технических терминов осилить не можешь? Поддержку оборудования добавляют внутри LTS в каждом малозначительном обновлении. А то русский уже забыли.

anonymous ()
Ответ на: комментарий от aquadon

Весь тред не читал. Крики «не нужно» и «старые пакеты» уже были?

Тред только и состоит из таких криков) А что єто норма?

deepforest ★★★ ()
Ответ на: комментарий от deepforest

Уже прочитал. Для ЛОРа весьма предсказуемо.

aquadon ★★★★ ()

Прекрасно!

Всем ноющим по поводу старых пакетов — напоминаю про backports.

Harliff ★★★★★ ()
Последнее исправление: Harliff (всего исправлений: 1)
Ответ на: комментарий от fallout4all

что за бред? optirun отлично работает и bumblebee адекватнее убунтового.

daminatorus ()
Ответ на: комментарий от kostyarin_

Странно, почему у Debian так много сторонников

потому что когда падет дебиан, падет и линукс

daminatorus ()
Ответ на: комментарий от ttywizard

Потому твой потолок и будет 2 тыщи баксов в месяц

anonymous ()
Ответ на: комментарий от deepforest

Не только «тут», а вообще в русскоязычных комьюнити. Будто в псарню попадаешь.

Микрософт даже делала иследование по этой теме.

Prosto_user ()
Ответ на: комментарий от qtm

apt делает людей настолько ленивыми, что они ленятся зайти на гитхаб лишний раз. хуже чем пользователи апстора и гуглплэя

daminatorus ()

планируются ли на лоре деревья комментов? форумы из 2004-го это лютый звиздец

daminatorus ()
Последнее исправление: daminatorus (всего исправлений: 1)
Ответ на: комментарий от Harliff

Ну а на такое:

Debian 10 «Buster»

Packages for VirtualBox are not available in Debian 10 and won't be in buster-backports either. A recommended alternative is Virtual Machine Manager (buster/virt-manager).

Debian Bug report logs - #794466
virtualbox: might not be suitable for stable releases due to lack of cooperation from upstream on security support for older releases

И сами пишут в описании пакета, предлагаемого в качестве замены:

NOTE: the GUI is still considered experimental.

Шикарно. Апстрим не хочет поддерживать говно мамонта, которое зачерствело до состояния стабильности. Мы выкинем это.

А я почти уже захотел снова попробовать этот «свежий» выпуск

gutaper ★★ ()
Ответ на: комментарий от Prosto_user

А сам как линуксом заинтересовался? Что и для чего используешь если не секрет?

deepforest ★★★ ()
Ответ на: комментарий от Prosto_user

Ну так и вали отсюда, тебя здесь никто не держит.

anonymous ()
Ответ на: комментарий от deepforest

Тут вообще мало позитива. Это тоже тут норма?

Это пустая трата времени — облизывать всё приходящее, ибо материальность ничто.

anonymous ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)